# LibRec团队组建

LibRec是一个基于Java的开源推荐系统工具库，网站链接是 http://www.librec.net/, 源码链接是 https://github.com/guoguibing/librec. 在Github中搜索recommender systems, LibRec在返回的结果里名列前位(top 5)，目前受到很多工业界和学术界人员的关注和使用。其它在规划中的内容包括推荐展示系统，工业应用拓展，与其它工具库做整合。整合后的LibRec将是推荐系统领域内最完整，最具有活力的开源工具库。

由于本人工作变动及精力分散，影响了LibRec的更新和持续开发。我也深刻体会到了团队协作的重要性，尤其是这样一个开源系统，仅仅依靠个人的力量是非常有限的。因此，为了促进LibRec的持续改进和更好地服务推荐系统社区，现准备组建LibRec开发团队。欢迎有志于从事开源推荐事业的梦想人士加入我们的团队。有意向的朋友可发个人简历到我的邮箱：guogb@swc.neu.edu.cn，或加微信了解更多，非诚勿扰。

本招募信息长期有效，欢迎志同道合的人士积极参与，为开源推荐系统贡献自己的一份力。

### 基本要求

* 熟悉Java编程
* 能阅读英文文献
* 参加过推荐系统竞赛的优先考虑

### 招募人员
团队目前主要成员有6人（[查看详情](https://github.com/guoguibing/librec/blob/master/Team.md)），现拟招募2~3名新成员参与开发。

* 架构师1~2名：主要负责接口设计、改进构架和数据结构，测试并优化算法。
* 工程师3~4名：主要负责实现并测试新的算法代码。目前规划的内容主要有：
  * Tensor Factorization
  * Factorization machines
  * Probabilistic graphic models
  * Content-based recommendation models
  * POI-based recommendadtion models
  * Deep learning models
  * Up-to-date recommendation models
  * Python, C++ interfaces

### 工作方式及待遇

* 以自主工作为主，每周定时讨论开发进展和问题。
* LibRec库主页上列为开发团队主要成员。
* 在获得经费支持时，可为团队成员发放补贴。
* 优先及优惠参与团队组织的各项学术活动。
* 可组队参加各类推荐系统竞赛，赢取名次和奖金。
* 工作突出的队员可获推荐国外留学或工作，也欢迎报考东北大学硕士/博士研究生。

### 招募流程

1. 投递个人简历到 guogb@swc.neu.edu.cn
2. 通知面试
3. 加入团队

### 联系方式

郭贵冰  
东北大学软件学院，副教授  
主页：http://www.luckymoon.me  


加微信与我讨论：

<img src="http://www.luckymoon.me/images/guibing-wechat.jpg" width="200" height="200" alt="Scan me on Wechat">

加入推荐系统微信群：

<img src="http://www.luckymoon.me/images/librec-group.jpg" width="200" height="250" alt="Scan me on Wechat">
